curl --request GET \
--url https://api.leadping.ai/analytics/my \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/analytics/my"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/analytics/my");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/analytics/my")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/analytics/my', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/analytics/my"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/analytics/my",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"range": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"bucketSize": 3
},
"summary": {
"overallFiveMinuteSlaPercent": 123,
"slaEligibleLeads": 123,
"slaTimelyLeads": 123,
"slaUnrespondedLeads": 123,
"slaPendingLeads": 123,
"observedThrough": "2023-11-07T05:31:56Z",
"smsAttempted": 123,
"smsDelivered": 123,
"humanResponses": 123,
"prospectReplies": 123,
"leads": 123,
"leadsComparison": {
"current": 123,
"previous": 123,
"changePercent": 123,
"direction": "<string>"
},
"averageResponseMinutes": 123,
"medianResponseMinutes": 123,
"respondedWithinFiveMinutesPercent": 123,
"missedLeads": 123,
"unreadMessages": 123,
"missedCalls": 123,
"smsSent": 123,
"smsReceived": 123,
"callsPlaced": 123,
"callsReceived": 123,
"callMinutes": 123,
"usageSpend": 123,
"walletBalance": 123,
"billingStatus": "<string>",
"walletStatus": "<string>"
},
"leadTrend": {
"total": 123,
"totalErrors": 123,
"comparison": {
"current": 123,
"previous": 123,
"changePercent": 123,
"direction": "<string>"
},
"points": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123
}
],
"errorPoints": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123
}
]
},
"responseMetrics": {
"overallFiveMinuteSlaPercent": 123,
"slaEligibleLeads": 123,
"slaTimelyLeads": 123,
"slaUnrespondedLeads": 123,
"slaPendingLeads": 123,
"observedThrough": "2023-11-07T05:31:56Z",
"averageMinutes": 123,
"medianMinutes": 123,
"respondedWithinFiveMinutesPercent": 123,
"respondedLeads": 123,
"unrespondedLeads": 123,
"unreadMessages": 123,
"missedCalls": 123,
"averageMinutesTrend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": 123
}
],
"slaTrend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"eligibleLeads": 123,
"timelyLeads": 123,
"unrespondedLeads": 123,
"pendingLeads": 123,
"coveragePercent": 123
}
],
"cohortStartAt": "2023-11-07T05:31:56Z",
"cohortEndAt": "2023-11-07T05:31:56Z",
"responseDefinition": "<string>"
},
"communicationUsage": {
"smsAttempted": 123,
"smsDelivered": 123,
"humanResponses": 123,
"prospectReplies": 123,
"smsSent": 123,
"smsReceived": 123,
"failedOrBlockedSms": 123,
"callsPlaced": 123,
"callsReceived": 123,
"callErrors": 123,
"answeredCalls": 123,
"missedCalls": 123,
"callMinutes": 123,
"usageSpend": 123,
"trend": [
{
"smsAttempted": 123,
"smsDelivered": 123,
"humanResponses": 123,
"prospectReplies": 123,
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"smsSent": 123,
"smsReceived": 123,
"smsErrors": 123,
"calls": 123,
"callsPlaced": 123,
"callsReceived": 123,
"callErrors": 123,
"callMinutes": 123,
"spend": 123
}
]
},
"leadSources": [
{
"source": "<string>",
"leads": 123,
"percent": 123
}
],
"automationHealth": {
"automationCount": 123,
"enabledCount": 123,
"executions": 123,
"successCount": 123,
"failureCount": 123,
"trend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"executions": 123,
"successCount": 123,
"failureCount": 123
}
],
"lastFailure": {
"automationId": "<string>",
"name": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"failingAutomations": [
{
"automationId": "<string>",
"name": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"error": "<string>"
}
]
},
"activationHealth": {
"overallStatus": "<string>",
"items": [
{
"key": "<string>",
"label": "<string>",
"status": "<string>",
"detail": "<string>",
"actionHref": "<string>"
}
]
},
"needsAttention": [
{
"severity": "<string>",
"title": "<string>",
"detail": "<string>",
"actionHref": "<string>",
"actionText": "<string>"
}
],
"generatedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get organization lead communication analytics
Returns current-organization analytics for lead communication, including event volume, response metrics, and date-range filtering.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Query Parameters
Optional inclusive start timestamp for the analytics period.
Optional exclusive end timestamp for the analytics period.
Optional number of recent days to include when explicit timestamps are not supplied.
Response
OK
Aggregates an organization's lead performance, response speed, communication usage, automation health, and activation insights.
Defines the inclusive reporting window and comparison window used to calculate Leadping analytics.
Show child attributes
Show child attributes
Summarizes an organization's primary lead, response, communication, and conversion KPIs for the selected period.
Show child attributes
Show child attributes
Measures lead creation, qualification, and conversion activity within one reporting time bucket.
Show child attributes
Show child attributes
Measures how quickly and consistently an organization responds to leads across supported communication channels.
Show child attributes
Show child attributes
Aggregates an organization's SMS, MMS, and calling activity, delivery outcomes, and billable usage over time.
Show child attributes
Show child attributes
Collection of lead sources included with this Leadping customer analytics.
Show child attributes
Show child attributes
Summarizes automation coverage, execution success, failures, and workflows requiring organization attention.
Show child attributes
Show child attributes
Summarizes an organization's progress and blockers across onboarding, billing, telephony, compliance, and launch readiness.
Show child attributes
Show child attributes
Date and time when this Leadping customer analytics was needs attention.
Show child attributes
Show child attributes
Date and time when this Leadping customer analytics was generated.

